Reply to Ticket
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/seller/ticket \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"ticketId": "CASE-01071982",
"createdAt": "2023-11-07T05:31:56Z",
"from": {
"role": "BUYER",
"name": "Dave"
},
"message": "Open the pod bay doors HAL.",
"replyRequested": true,
"attachment": [
{
"filename": "RedDot.png",
"contentType": "image/png"
}
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/ticket"
payload = {
"channel": "MYBESTDEALCOMDE",
"sellerId": "4711",
"ticketId": "CASE-01071982",
"createdAt": "2023-11-07T05:31:56Z",
"from": {
"role": "BUYER",
"name": "Dave"
},
"message": "Open the pod bay doors HAL.",
"replyRequested": True,
"attachment": [
{
"filename": "RedDot.png",
"contentType": "image/png"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: 'MYBESTDEALCOMDE',
sellerId: '4711',
ticketId: 'CASE-01071982',
createdAt: '2023-11-07T05:31:56Z',
from: {role: 'BUYER', name: 'Dave'},
message: 'Open the pod bay doors HAL.',
replyRequested: true,
attachment: [{filename: 'RedDot.png', contentType: 'image/png'}]
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Ticket
Reply to Ticket
Reply to a Ticket from Channel API
POST
/
v1
/
seller
/
ticket
Reply to Ticket
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/json
Seller reply to an existing customer service ticket on the marketplace.
Seller reply to an existing customer service ticket on the marketplace, scoped to a channel.
This is the unique Channel name.
Pattern:
^\w{5,15}$Example:
"MYBESTDEALCOMDE"
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
Pattern:
^\w{1,50}$Example:
"4711"
Unique identifcation for Ticket Id
Required string length:
1 - 256Example:
"CASE-01071982"
Show child attributes
Show child attributes
Required string length:
1 - 1024Example:
"Open the pod bay doors HAL."
Example:
true
Maximum array length:
10Show child attributes
Show child attributes
Response
Ticket created
Was this page helpful?
⌘I